Subject: FVWM: Installing fvwm transparently

From: Dan Espen <[email-masked]>
Date: Mon, 27 Nov 2000 17:27:24 -0500

Nils Lohner <[email-masked]> writes:
>   BTW, is there a way to install a new version 'transparently' i.e. without 
> asking all users to log out when replacing the binary?  If they don't log 
> out or restart immediately the WM crashes because the binary has changed...

I heard a rumor that you could just rename the executables instead
of replacing them.  This didn't seem to work for me on my NFS mounted
filesystem and Solaris machines.

Instead I configure fvwm to install in a directory containing the release
number, and use a shell named fvwm2 to put fvwm in my path and then
start up the "current" fvwm from the shell.

--
Dan Espen
444 Hoes Lane  Room RRC 1C-214           E-mail: [email-masked]
Piscataway, NJ 08854                     Phone: (732) 699-5570
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].